%%%%% SOLUTION_K_mod
%%% Solves for the equilibrium (measures and value functions). Code has been 
%%% optimized and uses m_funK_mod_new.m and v_funK_mod.m 


save alph_and_K alfa K u r T m_ini

%% %%%%%%%%%%%%%%%%%%
%MEASURES - solves ODEs and returns the measures
[t1,m1]=ode45(@m_funK_mod_new,[0 T],m_ini);
save datos_first_ODE t1 m1 % This is for the approximate solution in the second ODE.

v_med=zeros(size(t1));



for i=0:K
    j=0:K;
    k=[ceil((i+j(1:i+1))/2) floor((i+j(i+2:end))/2)];
    v_med=v_med+sum(alfa*(m1(:,i+1)*ones(1,length(j(1:3:end)))).*m1(:,j(1:3:end)+1).*(ones(length(t1),1)*abs(k(1:3:end)-i)),2);
    v_med=v_med+sum(alfa*(m1(:,i+1)*ones(1,length(j(2:3:end)))).*m1(:,j(2:3:end)+1).*(ones(length(t1),1)*abs(k(2:3:end)-i)),2);
    v_med=v_med+sum(alfa*(m1(:,i+1)*ones(1,length(j(3:3:end)))).*m1(:,j(3:3:end)+1).*(ones(length(t1),1)*abs(k(3:3:end)-i)),2);
end



%% %%%%%%%%%%%%%%%%%%
%VALUE FUNCTIONS - solves ODEs and returns the value functions
[tau,v]=ode45(@v_funK_mod,[0 T],U);

