% This files calculates all the variables of interest for the 2007 model
% using  as initial distribution the distribution of balances to RoB 
% estimated by mixture of Gaussians


clear
close all

k_bar=1;                                % Defines required reserves - it is defined as an increment over the 'zero' level for balances

interest_required_reserves_fed=0/360;       % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0/360;         % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0625/360;

par_med_MoG=0.3223; %Q=1.04 - simulation value: Q = 1.0402 % Multiplicative factor for the change in the mean of the mixture of Gaussian

[rate_FF_exp Q_exp]=simulation_2007(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed,par_med_MoG,1);

