% This files calculates all the variables of interest for the 2007 model
% using the distribution of balances to RoB as initial distribution
clear
close all

k_bar=1;    % Defines required reserves - it is defined as an increment over the 'zero' level for balances

interest_required_reserves_fed=0; % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0; % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0625/360;

par_med_MoG=1; %multiplicative factor for the change in the mean of the mixture of Gaussian

[rate_FF_exp Q_exp]=simulation_2007_real(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed,par_med_MoG,1);
