% This files defines variables and creates the 2007 master data file

load data_2007_goodbanks %%% Master file that contains master data: data_2007

num_banks=length(data_2007(:,1))/11; % Number of banks
mean_data_2007=zeros(num_banks,11);
for i=1:num_banks 
    mean_data_2007(i,:)=mean(data_2007(i:num_banks:end,:)); % Calculates average ratio for each bank in the maintenance period from 4pm to 6.30pm every 15 minutes.
end

mean_data_2007_pos_round=round(mean_data_2007(:,1)-1.1*min(mean_data_2007(:,1)));
data_2007_adj=data_2007-2.2; % We substract 1.34 from the initial distribution to set the Q/k_bar=1.0373 (target: 1.04). 

mean_data_2007_adj=zeros(num_banks,11);
for i=1:num_banks 
    mean_data_2007_adj(i,:)=mean(data_2007_adj(i:num_banks:end,:)); % Calculates average ratio for each bank in the maintenance period from 4pm to 6.30pm every 15 minutes.
end

GM_mix2=gmdistribution.fit(mean_data_2007(:,1),2)

clear i %% Deletes variables we do not want to save
save data_2007_goodbanks % Save everything else in data_2007_goodbanks1.mat


