% This file calculates Q for different values of par_med_MoG

clear
load data_2007_goodbanks %%% Master file that contains master data

% par_med_MoG=0.3223; % Baseline simulation
% par_med_MoG=[0.043 0.2134 0.444 2.134 4.268 6.402 12.8040]; % Tables
par_med_MoG=[0.00225:0.01:11];% Poole figures

mu_dist=GM_mix2.mu;
mu1=par_med_MoG*mu_dist(1);
mu2=par_med_MoG*mu_dist(2);

for i=1:length(par_med_MoG)
Q(i)=GM_mix2.PComponents(1)*mu1(i)+GM_mix2.PComponents(2)*mu2(i);
end
