% This file calculates Q for different values of par_med_MoG

clear
load data_2011_goodbanks %%% Master file that contains master data

par_med_MoG=[0.00046:0.005:1.3758]; % Poole figures
% par_med_MoG=[0.0046 0.02293 0.046 0.2293 0.4586 0.6879 1.3758]; % Table 
% par_med_MoG=0.81; % Baseline

mu_dist=GM_mix2.mu;
mu1=par_med_MoG*mu_dist(1);
mu2=par_med_MoG*mu_dist(2);

for i=1:length(par_med_MoG)
mu_dist1(i)=GM_mix2.PComponents(1)*mu1(i)+GM_mix2.PComponents(2)*mu2(i);
end
Q=mu_dist1;
