%%% This function calculates the value functions. 

%%% If approx=0, the function solves the ODE for the measures in very step. 

%%% If approx=1, then a linear approximation is used to avoid calculating 
%%% the ODE for the measures in every step. Code has been optimized. 



function v_out=v_funK_mod(t,v)

load alph_and_K
approx=1;

if(T>t)
    if(approx)
        load datos_first_ODE
        I=find((t1-(T-t))>0);
        if(length(I)==0)
            m=m1(end,:);
        else
            t_h=t1(I(1));
            m_h=m1(I(1),:);
            t_l=t1(I(1)-1);
            m_l=m1(I(1)-1,:);
            alf=(t_h-(T-t))/(t_h-t_l);
            m=alf*m_l+(1-alf)*m_h;
        end
        %[ti,m]=ode45(@m_funK_mod_new,[0 T-t],m_ini);
        %keyboard
    else
        [ti,m]=ode45(@m_funK_mod_new,[0 T-t],m_ini);
    end
else
    m=m_ini;
end

v_out=zeros(K+1,1);
for i=0:K
    v_out(i+1)=-r*v(i+1)+u(i+1);
    j=0:K;
    v_out(i+1)=v_out(i+1)+alfa/2*m(end,j+1)*(v(ceil((i+j)/2)+1)+v(floor((i+j)/2)+1)-v(i+1)-v(j+1));
end

%v_out=zeros(K+1,1);
% for i=0:K
%     v_out(i+1)=-r*v(i+1)+u(i+1);
%     for j=0:K
%         v_out(i+1)=v_out(i+1)+alfa/2*m(end,j+1)*(v(ceil((i+j)/2)+1)+v(floor((i+j)/2)+1)-v(i+1)-v(j+1));
%     end
% end



% v_out=zeros(K+1,1);
% for i=0:K
%     v_out(i+1)=-r*v(i+1)+u(i+1);
%     for j=0:K
%         for k=0:K
%             for s=0:K
%                 v_out(i+1)=v_out(i+1)+alfa/2*m(end,j+1)*phi_new(i,j,k,s)*(v(k+1)+v(s+1)-v(i+1)-v(j+1));
%             end
%         end
%     end
% end